﻿using System.ComponentModel;
using System.Windows.Forms;

namespace UltraGridBUPrototype
{
    public partial class Form1 : Form
    {
        BindingList<Row> _rows = new BindingList<Row>();

        public Form1()
        {
            InitializeComponent();
            ultraGrid1.InitializeLayout += UltraGrid1InitializeLayout;

            for (int i = 0; i < 100; i++)
                    _rows.Add(new Row(i));

            ultraGrid1.DataSource = _rows;

            ultraGrid1.DisplayLayout.Bands[0].SortedColumns.Add("Ticker", false, true);
            ultraGrid1.DisplayLayout.Bands[0].SortedColumns.Add("Currency", false, true);

            ultraGrid1.DisplayLayout.Bands[0].Header.Caption = "X";
            ultraGrid1.DisplayLayout.Override.GroupByRowDescriptionMask = @"[value]";

            ultraGrid1.Rows.ExpandAll(true);
        }

        void UltraGrid1InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            ultraGrid1.CreationFilter = new CreatingUiElement();
        }
    }
}